package com.swago.baseswago.model.im;

import androidx.annotation.NonNull;

import com.swago.baseswago.im.IRoomChat;

/**
 * @date 2021/11/1 10:20
 * description:
 */
public class AnchorRoomClosedBean implements IRoomChat {

    public String roomId;
    public String userId;
    public String userCode;
    public String senderName;
    public String userAvatar;


    @NonNull
    @Override
    public String getSenderName() {
        return senderName;
    }

    @NonNull
    @Override
    public String getMsgContent() {
        return null;
    }

    @Override
    public int getMsgType() {
        return 0;
    }

    @Override
    public int getUserLevel() {
        return 0;
    }

    @Override
    public int getIsBenefit() {
        return 0;
    }

    @NonNull
    @Override
    public String getSenderId() {
        return userId;
    }
}
